LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (https://www.linuxquestions.org/questions/slackware-14/)
-   -   Slackware- Foomatic (https://www.linuxquestions.org/questions/slackware-14/slackware-foomatic-4175471878/)

PeterUK 08-02-2013 11:22 AM

Slackware- Foomatic
 
I want to install the footmatic, and there is several packages:

on webpage say:

foomatic-filters
foomatic-db-engine
foomatic-db
foomatic-db-nonfree

I checked and I have only installed filters one.

So I wanted to try to install a newer version but I am getting stuck in the packet install configuration.

The script seen to be stopping in info part.

I am un compress the package and so I dont need to work with the uncompress part so create the following script inside the un-compress folder:

Quote:


# |-----------------------------------------------------------------| #
# This is my learning scrip install


PRGNAM=foomatic-filters # replace with name of program
VERSION=${VERSION:-4.0.18} # replace with version of program
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo} # the "_SBo" is required



# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi

CWD=$(pwd)
TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp

if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi

set -e # Exit on most errors
# If you prefer to do selective error checking with
# command || exit 1
# then that's also acceptable.

#rm -rf $PKG
#mkdir -p $TMP $PKG $OUTPUT
#cd $TMP
#rm -rf $PRGNAM-$VERSION
#tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
#cd $PRGNAM-$VERSION
#chown -R root:root .
#find . \
# \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
# -exec chmod 755 {} \; -o \
# \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
# -exec chmod 644 {} \;

# Your application will probably need different configure flags;
# these are provided as an example only.
# Be sure to build only shared libraries unless there's some need for
# static.
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--infodir=/usr/info\
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux

# Compile the application and install it into the $PKG directory

make

echo DESTDIR=$PKG
echo $TMP
echo $PKG
echo $OUTPUT
make install DESTDIR=$PKG

# Strip binaries and libraries - this can be done with 'make install-strip'
# in many source trees, and that's usually acceptable if so, but if not,
# use this:
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true


# Compress man pages
# If the man pages are installed to /usr/share/man instead, you'll need to either
# add the --mandir=/usr/man flag to configure or move them manually after the
# make install process is run.
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done

# Compress info pages and remove the package's dir file
# If no info pages are installed by the software, don't leave this in the script
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*.info*

# Remove perllocal.pod and other special files that don't need to be installed,
# as they will overwrite what's already on the system. If this is not needed,
# remove it from the script.
# Remove 'special' files
find $PKG -name perllocal.pod \
-o -name ".packlist" \
-o -name "*.bs" \
| xargs rm -f

# Copy program documentation into the package
# The included documentation varies from one application to another, so be sure
# to adjust your script as needed
# Also, include the SlackBuild script in the documentation directory
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
<documentation> \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild


# Make the package; be sure to leave it in $OUTPUT
# If package symlinks need to be created during install *before*
# your custom contents of doinst.sh runs, then add the -p switch to
# the makepkg command below -- see makepkg(8) for details
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}


I add the extra info ( --infodir=/usr/info\) in the config file but I am not sure if its right.

Also after make install I have clear the "doc" manipulation and package creation but I don't know when why to choose the other one, could you please tell me a bit more when should add them?

NOTE: I un comment the folder creation once to create the folder
#rm -rf $PKG
#mkdir -p $TMP $PKG $OUTPUT
But I guess this could have be done by hand.

PeterUK 08-02-2013 12:00 PM

UPDATE:
I want to see what is installed by "foomatic-filters-4.0.12-i486-1" which its on my system, how do I do that?

PeterUK 08-02-2013 12:16 PM

UPDATE2:

Looking at the package on here which is foomatic-filters-4.0.12-i486-1.txz I am assuming its like the one in my system.

after looking at mine that just created its like:

Quote:

./
usr/
usr/bin/
usr/bin/foomatic-rip
usr/man/
usr/man/man1/
usr/man/man1/foomatic-rip.1.gz
usr/lib/
usr/lib/cups/
usr/lib/cups/filter/
usr/lib/cups/backend/
usr/lib/cups/backend/beh
usr/lib/ppr/
usr/lib/ppr/interfaces/
usr/lib/ppr/lib/
usr/doc/
usr/doc/foomatic-filters-4.0.18/
etc/
etc/foomatic/
etc/foomatic/filter.conf.sample
etc/foomatic/filter.conf
etc/foomatic/direct/
install/
install/doinst.sh

I am missing some bits like desc file, also there are different like on the doc folder.

I also look at the same package of older version here and there is nothing like doc folder so how does it generate the doc documentation?

Here is the script I used:

Quote:


# |-----------------------------------------------------------------| #
# This is my learning scrip install


PRGNAM=foomatic-filters # replace with name of program
VERSION=${VERSION:-4.0.18} # replace with version of program
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo} # the "_SBo" is required



# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi

CWD=$(pwd)
TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp

if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi

set -e # Exit on most errors
# If you prefer to do selective error checking with
# command || exit 1
# then that's also acceptable.

#rm -rf $PKG
#mkdir -p $TMP $PKG $OUTPUT
#cd $TMP
#rm -rf $PRGNAM-$VERSION
#tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
#cd $PRGNAM-$VERSION
#chown -R root:root .
#find . \
# \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
# -exec chmod 755 {} \; -o \
# \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
# -exec chmod 644 {} \;

# Your application will probably need different configure flags;
# these are provided as an example only.
# Be sure to build only shared libraries unless there's some need for
# static.
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--build=$ARCH-slackware-linux

# Compile the application and install it into the $PKG directory

make

echo DESTDIR=$PKG
echo $TMP
echo $PKG
echo $OUTPUT
make install DESTDIR=$PKG

# Strip binaries and libraries - this can be done with 'make install-strip'
# in many source trees, and that's usually acceptable if so, but if not,
# use this:
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true


# Compress man pages
# If the man pages are installed to /usr/share/man instead, you'll need to either
# add the --mandir=/usr/man flag to configure or move them manually after the
# make install process is run.
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done

# Compress info pages and remove the package's dir file
# If no info pages are installed by the software, don't leave this in the script
#rm -f $PKG/usr/info/dir
#gzip -9 $PKG/usr/info/*.info*

# Remove perllocal.pod and other special files that don't need to be installed,
# as they will overwrite what's already on the system. If this is not needed,
# remove it from the script.
# Remove 'special' files
find $PKG -name perllocal.pod \
-o -name ".packlist" \
-o -name "*.bs" \
| xargs rm -f

# Copy program documentation into the package
# The included documentation varies from one application to another, so be sure
# to adjust your script as needed
# Also, include the SlackBuild script in the documentation directory
#mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
#cp -a \
# <documentation> \
# $PKG/usr/doc/$PRGNAM-$VERSION
#cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild


# Make the package; be sure to leave it in $OUTPUT
# If package symlinks need to be created during install *before*
# your custom contents of doinst.sh runs, then add the -p switch to
# the makepkg command below -- see makepkg(8) for details
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}


PeterUK 08-02-2013 01:52 PM

UPDATE3: I now try to compile foomatic-db-engine here but that is getting even worse.

It not loading the command neither the data base,

I did the same as the other package describe before, in the USAGE file say its a simple as ./config, make , make install, with some minor variation so I have the whole full like the one before but in the package are lots of stuff missing.

Could please someone with more experience guide me here, Thanks

PeterUK 08-02-2013 02:18 PM

UPDATE4:

If you look here you could see how older package from the same "db" should look like here

titopoquito 08-02-2013 03:33 PM

Quote:

Originally Posted by PeterUK (Post 5001683)
I want to install the footmatic, and there is several packages:

on webpage say:

foomatic-filters
foomatic-db-engine
foomatic-db
foomatic-db-nonfree

I checked and I have only installed filters one.

So I wanted to try to install a newer version but I am getting stuck in the packet install configuration.

The script seen to be stopping in info part.

I am un compress the package and so I dont need to work with the uncompress part so create the following script inside the un-compress folder:




I add the extra info ( --infodir=/usr/info\) in the config file but I am not sure if its right.

Also after make install I have clear the "doc" manipulation and package creation but I don't know when why to choose the other one, could you please tell me a bit more when should add them?

NOTE: I un comment the folder creation once to create the folder
#rm -rf $PKG
#mkdir -p $TMP $PKG $OUTPUT
But I guess this could have be done by hand.

Hi Peter, is there any reason you don't use Patrick's SlackBuild? I suggest you take a look at the SlackBuilds.org site info about building packages. The "info" pages for example are not usually there, and the stock Slackware foomatic-filters package does not have such, so comment it out if you see there is none. About the doc folder: You commented CODEout that section, so if the program itself does not put anything there it's completely up to you to copy some files from the source folder there - if you like.

foomatic-db-engine: Don't know where it hangs for you. With
Code:

./configure --prefix=/usr --libdir=/usr/lib64 --mandir=/usr/man
make
make install DESTDIR=/path/to/folder

I seem to get reasonable results. Can't test it actually, but that is copied to DESTDIR:
Code:

/tmp/package-foomatic-db-engine/
/tmp/package-foomatic-db-engine/etc
/tmp/package-foomatic-db-engine/etc/foomatic
/tmp/package-foomatic-db-engine/usr
/tmp/package-foomatic-db-engine/usr/man
/tmp/package-foomatic-db-engine/usr/man/man8
/tmp/package-foomatic-db-engine/usr/man/man8/foomatic-kitload.8
/tmp/package-foomatic-db-engine/usr/man/man8/foomatic-getpjloptions.8
/tmp/package-foomatic-db-engine/usr/man/man8/foomatic-preferred-driver.8
/tmp/package-foomatic-db-engine/usr/man/man8/foomatic-addpjloptions.8
/tmp/package-foomatic-db-engine/usr/man/man1
/tmp/package-foomatic-db-engine/usr/man/man1/foomatic-compiledb.1
/tmp/package-foomatic-db-engine/usr/man/man1/foomatic-configure.1
/tmp/package-foomatic-db-engine/usr/man/man1/foomatic-ppdfile.1
/tmp/package-foomatic-db-engine/usr/man/man1/foomatic-printjob.1
/tmp/package-foomatic-db-engine/usr/man/man1/foomatic-combo-xml.1
/tmp/package-foomatic-db-engine/usr/man/man1/foomatic-perl-data.1
/tmp/package-foomatic-db-engine/usr/man/man1/foomatic-ppd-options.1
/tmp/package-foomatic-db-engine/usr/lib64
/tmp/package-foomatic-db-engine/usr/lib64/cups
/tmp/package-foomatic-db-engine/usr/lib64/cups/driver
/tmp/package-foomatic-db-engine/usr/lib64/cups/driver/foomatic
/tmp/package-foomatic-db-engine/usr/lib64/perl5
/tmp/package-foomatic-db-engine/usr/lib64/perl5/auto
/tmp/package-foomatic-db-engine/usr/lib64/perl5/auto/Foomatic
/tmp/package-foomatic-db-engine/usr/lib64/perl5/auto/Foomatic/.packlist
/tmp/package-foomatic-db-engine/usr/sbin
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-preferred-driver
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-getpjloptions
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-fix-xml
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-kitload
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-printermap-to-gutenprint-xml
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-nonumericalids
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-replaceoldprinterids
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-addpjloptions
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-cleanupdrivers
/tmp/package-foomatic-db-engine/usr/sbin/foomatic-extract-text
/tmp/package-foomatic-db-engine/usr/bin
/tmp/package-foomatic-db-engine/usr/bin/foomatic-ppd-options
/tmp/package-foomatic-db-engine/usr/bin/foomatic-datafile
/tmp/package-foomatic-db-engine/usr/bin/foomatic-searchprinter
/tmp/package-foomatic-db-engine/usr/bin/foomatic-perl-data
/tmp/package-foomatic-db-engine/usr/bin/foomatic-ppdfile
/tmp/package-foomatic-db-engine/usr/bin/foomatic-ppd-to-xml
/tmp/package-foomatic-db-engine/usr/bin/foomatic-compiledb
/tmp/package-foomatic-db-engine/usr/bin/foomatic-printjob
/tmp/package-foomatic-db-engine/usr/bin/foomatic-combo-xml
/tmp/package-foomatic-db-engine/usr/bin/foomatic-configure
/tmp/package-foomatic-db-engine/usr/share
/tmp/package-foomatic-db-engine/usr/share/foomatic
/tmp/package-foomatic-db-engine/usr/share/foomatic/templates
/tmp/package-foomatic-db-engine/usr/share/foomatic/templates/pjl_num_option.xml
/tmp/package-foomatic-db-engine/usr/share/foomatic/templates/pjl_enum_choice.xml
/tmp/package-foomatic-db-engine/usr/share/foomatic/templates/pjl_enum_option.xml
/tmp/package-foomatic-db-engine/usr/share/perl5
/tmp/package-foomatic-db-engine/usr/share/perl5/Foomatic
/tmp/package-foomatic-db-engine/usr/share/perl5/Foomatic/PPD.pm
/tmp/package-foomatic-db-engine/usr/share/perl5/Foomatic/DB.pm
/tmp/package-foomatic-db-engine/usr/share/perl5/Foomatic/Defaults.pm
/tmp/package-foomatic-db-engine/usr/share/perl5/Foomatic/UIElem.pm


PeterUK 08-02-2013 07:46 PM

look at my package:

Quote:

usr/
usr/bin/
usr/bin/foomatic-searchprinter
usr/bin/foomatic-ppd-to-xml
usr/bin/foomatic-printjob
usr/bin/foomatic-configure
usr/bin/foomatic-ppd-options
usr/bin/foomatic-compiledb
usr/bin/foomatic-perl-data
usr/bin/foomatic-combo-xml
usr/bin/foomatic-ppdfile
usr/share/
usr/share/perl5/
usr/share/perl5/Foomatic/
usr/share/perl5/Foomatic/UIElem.pm
usr/share/perl5/Foomatic/PPD.pm
usr/share/perl5/Foomatic/DB.pm
usr/share/perl5/Foomatic/Defaults.pm
usr/share/foomatic/
usr/share/foomatic/templates/
usr/share/foomatic/templates/pjl_enum_option.xml
usr/share/foomatic/templates/pjl_num_option.xml
usr/share/foomatic/templates/pjl_enum_choice.xml
usr/man/
usr/man/man8/
usr/man/man8/foomatic-preferred-driver.8.gz
usr/man/man8/foomatic-kitload.8.gz
usr/man/man8/foomatic-addpjloptions.8.gz
usr/man/man8/foomatic-getpjloptions.8.gz
usr/man/man1/
usr/man/man1/foomatic-ppdfile.1.gz
usr/man/man1/foomatic-perl-data.1.gz
usr/man/man1/foomatic-configure.1.gz
usr/man/man1/foomatic-combo-xml.1.gz
usr/man/man1/foomatic-ppd-options.1.gz
usr/man/man1/foomatic-printjob.1.gz
usr/man/man1/foomatic-compiledb.1.gz
usr/lib/
usr/lib/cups/
usr/lib/cups/driver/
usr/lib/perl5/
usr/lib/perl5/auto/
usr/lib/perl5/auto/Foomatic/
usr/sbin/
usr/sbin/foomatic-kitload
usr/sbin/foomatic-printermap-to-gutenprint-xml
usr/sbin/foomatic-fix-xml
usr/sbin/foomatic-addpjloptions
usr/sbin/foomatic-preferred-driver
usr/sbin/foomatic-cleanupdrivers
usr/sbin/foomatic-extract-text
usr/sbin/foomatic-nonumericalids
usr/sbin/foomatic-getpjloptions
usr/sbin/foomatic-replaceoldprinterids
usr/doc/
usr/doc/foomatic-db-engine-4.0.10/
usr/doc/foomatic-db-engine-4.0.10/foomatic-db-engine.SlackBuild
usr/doc/foomatic-db-engine-4.0.10/ChangeLog
usr/doc/foomatic-db-engine-4.0.10/COPYING
usr/doc/foomatic-db-engine-4.0.10/USAGE
usr/doc/foomatic-db-engine-4.0.10/README
etc/
etc/foomatic/
install/
install/doinst.sh
Did you do it with current-version?

I need to re-compress current as they compress it as with a file with a long number

Here is my script:

Quote:


# |-----------------------------------------------------------------| #
# This is my learning scrip install


PRGNAM=foomatic-db-engine # replace with name of program
VERSION=${VERSION:-4.0.10} # replace with version of program
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo} # the "_SBo" is required



# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi

CWD=$(pwd)
TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp

if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi

set -e # Exit on most errors
# If you prefer to do selective error checking with
# command || exit 1
# then that's also acceptable.

rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
echo $CWD/$PRGNAM-$VERSION
echo $TMP
echo $PKG
echo $OUTPUT
echo $CWD/$PRGNAM-$VERSION
#echo $PRGNAM-$VERSION
echo $PRGNAM-20130802
cd $PRGNAM-$VERSION || exit 1
#cd $PRGNAM-20130802 || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;

# Your application will probably need different configure flags;
# these are provided as an example only.
# Be sure to build only shared libraries unless there's some need for
# static.
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
--infodir=/usr/info\
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux

# Compile the application and install it into the $PKG directory

make

echo DESTDIR=$PKG
echo $TMP
echo $PKG
echo $OUTPUT
make install DESTDIR=$PKG

# Strip binaries and libraries - this can be done with 'make install-strip'
# in many source trees, and that's usually acceptable if so, but if not,
# use this:
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true


# Compress man pages
# If the man pages are installed to /usr/share/man instead, you'll need to either
# add the --mandir=/usr/man flag to configure or move them manually after the
# make install process is run.
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done

# Compress info pages and remove the package's dir file
# If no info pages are installed by the software, don't leave this in the script
#rm -f $PKG/usr/info/dir
#gzip -9 $PKG/usr/info/*.info*

# Remove perllocal.pod and other special files that don't need to be installed,
# as they will overwrite what's already on the system. If this is not needed,
# remove it from the script.
# Remove 'special' files
find $PKG -name perllocal.pod \
-o -name ".packlist" \
-o -name "*.bs" \
| xargs rm -f

# Copy program documentation into the package
# The included documentation varies from one application to another, so be sure
# to adjust your script as needed
# Also, include the SlackBuild script in the documentation directory
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
ChangeLog COPYING README USAGE \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild


# Make the package; be sure to leave it in $OUTPUT
# If package symlinks need to be created during install *before*
# your custom contents of doinst.sh runs, then add the -p switch to
# the makepkg command below -- see makepkg(8) for details
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}


PeterUK 08-02-2013 07:47 PM

There still some file missing, just wondering you didnt use current?

PeterUK 08-02-2013 07:49 PM

I am very interested on having "foomatic-datafile" which its not being created on my and you have it on yours

titopoquito 08-03-2013 02:34 AM

No sorry, not on current but I tried it on 14.0 only.

PeterUK 08-03-2013 04:20 AM

Quote:

Originally Posted by titopoquito (Post 5002053)
No sorry, not on current but I tried it on 14.0 only.

Could you please tell me what version did you try? Thanks

titopoquito 08-03-2013 09:21 AM

Of course - the version is "foomatic-db-engine-4.0-20130802" and I compiled it on Slackware64 14.0 (some packages are not stock packages anymore, but most are).

PeterUK 08-03-2013 12:50 PM

Quote:

Originally Posted by titopoquito (Post 5002218)
Of course - the version is "foomatic-db-engine-4.0-20130802" and I compiled it on Slackware64 14.0 (some packages are not stock packages anymore, but most are).

Its very strange you will have that package and I dont, even now I am in improve/test stage as I manage to make it print with foomatic you can see my other post about cups. I manage to do it with ppdfile one maybe its the same one? I dont know at this stage.

Also none one mention me before about "https://github.com/PhantomX" seen to have a large amount of package are those for Slackware 14 too?

titopoquito 08-03-2013 02:46 PM

Quote:

Originally Posted by PeterUK (Post 5002289)
Also none one mention me before about "https://github.com/PhantomX" seen to have a large amount of package are those for Slackware 14 too?

Sorry, don't know about that. I use only sbopkg with the slackbuilds.org SlackBuilds, AlienBob's and Robbie Workman's packages as well as some that I mainain for myself.

I don't use foomatic nowadays, was just curious if your build problem was reproducable here. So I cannot say if the package would work as needed/intended.

PeterUK 08-03-2013 03:19 PM

Quote:

Originally Posted by titopoquito (Post 5002345)
Sorry, don't know about that. I use only sbopkg with the slackbuilds.org SlackBuilds, AlienBob's and Robbie Workman's packages as well as some that I mainain for myself.

I don't use foomatic nowadays, was just curious if your build problem was reproducable here. So I cannot say if the package would work as needed/intended.

Would you mind to past here your installation script? I would like to have a look if you dont mind! Thanks


All times are GMT -5. The time now is 02:41 PM.